分享

[Rails] [01]rails new 一個project issue

[Rails] [01]rails new 一個project — issue
林班尼
Mar 5, 2020·3 min read
最近想要學習rails,記錄一下常遇到的問題
[windows]
下載安裝網址 http://railsinstaller.org/en
安裝的版本如下
第一個問題是再創一個 新的專案 時出現

Gem::InstallError: byebug requires Ruby version >= 2.4.0.
An error occurred while installing byebug (11.1.1), and Bundler cannot continue.
Make sure that `gem install byebug -v ‘11.1.1’` succeeds before bundling.

In Gemfile:
byebug
如下列兩張圖
因為顯示ruby 的版本問題,所以使用指令將系統更新
gem update --system
會停留一段時間系統正在安裝
更新完成

進入剛剛創建的目錄下,執行

bundle install

出現了Sqlite3錯誤

修改創建目錄下gemfile
gem ‘sqlite3’ -> gem ‘sqlite3’, ‘~> 1.3.6’
在project下執行一次
bundle install
這樣就安裝成功,可以在目錄下執行 rails server
啟動後開啟 瀏覽器 網址 127.0.0.1:3000
這樣就成功了
最後在附上成功時版本資訊
分類:學習

評論
上一篇
  • 下一篇
  • 更多文章
    載入中... 沒有更多了